# Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation Interface Reference

Interface that the framework will use to determine if a device is acceptable. More...

Inherited by Sample.Sample, Sample.Sample, SampleSceneLoader.Loader, and SampleSceneLoader.Loader.

List of all members.

## Public Member Functions
bool | IsDeviceAcceptable (Caps caps, Format adapterFormat, Format backBufferFormat, bool isWindowed)
void | ModifyDeviceSettings (DeviceSettings settings, Caps caps)
bool | IsDeviceAcceptable (Caps caps, Format adapterFormat, Format backBufferFormat, bool isWindowed)
void | ModifyDeviceSettings (DeviceSettings settings, Caps caps)
bool | IsDeviceAcceptable (Capabilities caps, Format adapterFormat, Format backBufferFormat, bool isWindowed)
void | ModifyDeviceSettings (DeviceSettings settings, Capabilities caps)

## Detailed Description

Interface that the framework will use to determine if a device is acceptable.

Definition at line 26 of file dxmutdata.cs.

## Member Function Documentation

bool Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.IsDeviceAcceptable | ( | Capabilities | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  |

bool Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.IsDeviceAcceptable | ( | Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  |

bool Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.IsDeviceAcceptable | ( | Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Capabilities | caps |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Caps | caps |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IDeviceCreation.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Caps | caps |
| ) |  |  |

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs